What’s Khafre ®

System Requirements

Khafre requires only a Web browser to connect to the system. There's no need to install any setup files or plug-ins. Once the setup is completed, administrators can quickly create file permissions and determine access based on user type.

Operating System

  • Windows XP, Windows Vista or Windows 7
  • Mac OS9+

Web Browser

  • Firefox v2+ (We highly recommend Firefox 3.0 for Khafre)
  • Internet Explorer v7+
  • Safari v3+
  • Opera v9+
  • Google Chrome

Ready to get started? See our purchase page for pricing options.

See Khafre in action! Request a Khafre Demo .